<?xml version="1.0" encoding="utf-8" standalone="yes"?><rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom"><channel><title>REST API on</title><link>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/</link><description>Recent content in REST API on</description><generator>Hugo</generator><language>en</language><atom:link href="https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/index.xml" rel="self" type="application/rss+xml"/><item><title>Policy Users</title><link>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/policy_users/</link><pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate><guid>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/policy_users/</guid><description>&lt;h2 id="policy-users">Policy Users&lt;/h2>
&lt;p>Protegrity Policy roles defines the unique data access privileges for every member. The protector function protects the data with the username sent in either the JWT-formatted authorization header, the request body or service user in the environment variables.&lt;/p>
&lt;p>The protector function behavior can be set in the cloud function environment variables as described in &lt;a href="https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/installation/protector/#install-protect-function-via-terraform-scripts">Install Protect Function via Terraform Scripts&lt;/a>&lt;/p>
&lt;table>
 &lt;thead>
 &lt;tr>
 &lt;th>Authorization/allow_assume_user&lt;/th>
 &lt;th>0&lt;/th>
 &lt;th>1&lt;/th>
 &lt;/tr>
 &lt;/thead>
 &lt;tbody>
 &lt;tr>
 &lt;td>Empty&lt;/td>
 &lt;td>User from the request body. / (Throw an error).&lt;/td>
 &lt;td>User from the request body.&lt;/td>
 &lt;/tr>
 &lt;tr>
 &lt;td>JWT&lt;/td>
 &lt;td>User from JWT payload&lt;/td>
 &lt;td>User from request body. If not found user from JWT payload.&lt;/td>
 &lt;/tr>
 &lt;/tbody>
&lt;/table>


&lt;div class="alert alert-info" role="alert">
&lt;h4 class="alert-heading">Note&lt;/h4>

 The &lt;strong>service_user&lt;/strong> will always take priority over any other user in the payload or in the JWT header.

&lt;/div></description></item><item><title>JWT Verification</title><link>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/jwt_verification/</link><pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate><guid>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/jwt_verification/</guid><description>&lt;h2 id="jwt-verification">JWT Verification&lt;/h2>
&lt;p>Cloud Protect function can authenticate JWTs with an OpenID endpoint or a stored certificate/secret.&lt;/p>
&lt;p>The protector must be able to reach specified OpenID endpoint to obtain the public key when OpenID settings are enabled. The retrieved key is used to verify the signature. Several additional claims are verified against the configuration provided to the protect function when OpenID is enabled: issuer, audience, appid (optional).&lt;/p>
&lt;p>Availability of an OpenID endpoint from the protector may not be feasible or a non-OpenID issuer may be in use. In those cases, a stored certificate/secret may be used to validate the jwt signature by enabling jwt_verify and including a base64 encoded certificate/secret in jwt_secret_base64 configuration. Additional claims are not verified.&lt;/p></description></item><item><title>Authorization Header</title><link>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/authorization_header/</link><pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate><guid>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/authorization_header/</guid><description>&lt;h2 id="authorization-header">Authorization Header&lt;/h2>
&lt;p>&lt;a href="https://cloud.google.com/functions/docs/securing/managing-access-iam#allowing_unauthenticated_http_function_invocation">Allowing unauthenticated HTTP function invocation&lt;/a> on Google Cloud protector function.&lt;/p>
&lt;p>The Protect function will validate the JWT in the &lt;strong>Authorization&lt;/strong> header.&lt;/p>
&lt;p>&lt;a href="https://cloud.google.com/functions/docs/securing/authenticating">Authenticating for invocation&lt;/a> on Google Cloud protector function. All requests to the protector function will need to send the Google JWT in the &lt;strong>Authorization&lt;/strong> header.&lt;/p>
&lt;p>When PTY_GCP_JWT_HEADER is not set or it is false the Protect function will validate the JWT in the &lt;strong>Authorization&lt;/strong> header.&lt;/p>
&lt;p>When PTY_GCP_JWT_HEADER = true the Protect function will validate the JWT in the &lt;strong>X-PTY-Authorization&lt;/strong> header.&lt;/p></description></item><item><title>Export an OpenAPI Spec</title><link>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/export_api_spec/</link><pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate><guid>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/export_api_spec/</guid><description>&lt;h1 id="export-an-openapi-spec">Export an OpenAPI Spec&lt;/h1>
&lt;p>Once the Cloud API on GCP is installed, you can export the OpenAPI documentation file from:&lt;/p>
&lt;p>{base url}/pty/v1/openapi&lt;/p>
&lt;p>Authentication and Authorization configurations are enforced on the openapi endpoint URL.&lt;/p>


&lt;div class="alert alert-info" role="alert">
&lt;h4 class="alert-heading">Tip&lt;/h4>

 &lt;p>To get the base url, login to Google Cloud console. Navigate to the Protect Cloud Function details and to the &lt;strong>TRIGGER&lt;/strong> tab.&lt;/p>
&lt;p>For testing the REST API, we recommend using a client tool, such as Postman.&lt;/p></description></item><item><title>v1 Specification</title><link>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/specification_v1/</link><pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate><guid>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/specification_v1/</guid><description>&lt;h2 id="request">Request&lt;/h2>
&lt;p>AWS Lambda service limits maximum size of payload to 6 MB. Client applications of Protegrity Cloud API must ensure their payload size is within this limit. This applies to all types of requests described below.&lt;/p>
&lt;p>Performs a policy operation such as protect, unprotect, or reprotect.&lt;/p>
&lt;ul>
&lt;li>
&lt;p>&lt;strong>URI&lt;/strong>&lt;/p>
&lt;p>&lt;code>/v1/protect&lt;/code> or &lt;code>/v1/unprotect&lt;/code> or &lt;code>/v1/reprotect&lt;/code>&lt;/p>
&lt;/li>
&lt;li>
&lt;p>&lt;strong>Method&lt;/strong>&lt;/p>
&lt;p>POST&lt;/p>
&lt;/li>
&lt;li>
&lt;p>&lt;strong>Parameters&lt;/strong>&lt;/p>
&lt;p>&lt;strong>data&lt;/strong>: Input data to the policy operation.&lt;/p>
&lt;p>&lt;strong>data_element&lt;/strong>: Data element to use for the policy operation.&lt;/p></description></item><item><title>Legacy Specification</title><link>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/specification_legacy/</link><pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate><guid>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/specification_legacy/</guid><description>&lt;p>Protegrity has multiple products with REST API capabilities, such as Protection Server (out of support), DSG, and the latest product - IAP REST. Each one has its use case. To help you move to cloud-native implementation, Cloud Product REST API supports legacy payload.&lt;/p>
&lt;ul>
&lt;li>&lt;a href="https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/specification_legacy/#request">Request&lt;/a>&lt;/li>
&lt;li>&lt;a href="https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/specification_legacy/#response">Response&lt;/a>&lt;/li>
&lt;/ul>


 




	






 






 &lt;h2 id="request">Request&lt;/h2>
&lt;p>Performs a policy operation such as protect, unprotect, or reprotect.&lt;/p>
&lt;ul>
&lt;li>
&lt;p>&lt;strong>Method&lt;/strong>&lt;/p>
&lt;p>POST&lt;/p>
&lt;/li>
&lt;li>
&lt;p>&lt;strong>Parameters&lt;/strong>&lt;/p>
&lt;p>&lt;strong>dataelementname&lt;/strong>: (protect/unprotect) Data element to use for the policy operation.&lt;/p>
&lt;p>&lt;strong>externaliv&lt;/strong>: (protect/unprotect) Optional, external initialization vector.&lt;/p></description></item><item><title>HTTP Status Codes</title><link>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/http_status_codes/</link><pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate><guid>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/http_status_codes/</guid><description>&lt;h2 id="http-status-codes">HTTP Status Codes&lt;/h2>
&lt;p>The following table explains the different HTTP Status Codes with their corresponding response.&lt;/p>
&lt;table>&lt;thead>&lt;tr>&lt;th>
&lt;p>Status Codes&lt;/p>
&lt;/th>&lt;th>
&lt;p>Response&lt;/p>
&lt;/th>&lt;th>
&lt;p>Description&lt;/p>
&lt;/th>&lt;/tr>&lt;/thead>&lt;tbody>&lt;tr>&lt;td>
&lt;p>200&lt;/p>
&lt;/td>&lt;td>
&lt;div class="highlight">&lt;pre tabindex="0" style="background-color:#f8f8f8;-moz-tab-size:4;-o-tab-size:4;tab-size:4;">&lt;code class="language-fallback" data-lang="fallback">&lt;span style="display:flex;">&lt;span>{&amp;#34;results&amp;#34;:[&amp;#34;&amp;lt;string&amp;gt;&amp;#34;,&amp;#34;&amp;lt;string&amp;gt;&amp;#34;],
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &amp;#34;success&amp;#34;: true, &amp;#34;encoding&amp;#34;:[hex|utf8]}
&lt;/span>&lt;/span>&lt;/code>&lt;/pre>&lt;/div>&lt;/td>&lt;td>
&lt;p>Success protected data is in results and success attribute is true&lt;/p>
&lt;/td>&lt;/tr>&lt;tr>&lt;td>
&lt;p>400&lt;/p>
&lt;/td>&lt;td>
&lt;div class="highlight">&lt;pre tabindex="0" style="background-color:#f8f8f8;-moz-tab-size:4;-o-tab-size:4;tab-size:4;">&lt;code class="language-fallback" data-lang="fallback">&lt;span style="display:flex;">&lt;span>{
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &amp;#34;error_msg&amp;#34;: &amp;#34;&amp;lt;string&amp;gt;&amp;#34;,
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &amp;#34;success&amp;#34;: false
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span>}
&lt;/span>&lt;/span>&lt;/code>&lt;/pre>&lt;/div>&lt;/td>&lt;td>
&lt;p>There was an issue in the request, success is false, check error_msg attribute. For more information check the logs&lt;/p></description></item><item><title>SSL Certificates</title><link>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/ssl_certificates/</link><pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate><guid>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/ssl_certificates/</guid><description>&lt;h2 id="ssl-certificates">SSL Certificates&lt;/h2>
&lt;p>By default, the Google Cloud Functions support HTTPS.&lt;/p>
&lt;p>Google Cloud Function HTTPS endpoint have TLS 1.0, TLS 1.1, TLS 1.2 and TLS1.3 enabled.&lt;/p>
&lt;p>For more information on HTTPS setting on Google Cloud HTTP Functions, refer to &lt;a href="https://cloud.google.com/functions/docs/writing/http#security_levels">Security levels&lt;/a>&lt;/p></description></item><item><title/><link>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/openid/</link><pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate><guid>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/openid/</guid><description>&lt;h2 id="openid">OpenID&lt;/h2>
&lt;p>Verification example using openid_* configuration parameters:&lt;/p>
&lt;ol>
&lt;li>Navigate to the cloud function main.tf configuration file, and find the section &lt;em>Parameters applicable when openid_enabled = true&lt;/em>&lt;/li>
&lt;li>Edit/replace the entries as indicated below, then save and apply the configuration:&lt;/li>
&lt;/ol>
&lt;table>
 &lt;thead>
 &lt;tr>
 &lt;th>Parameter&lt;/th>
 &lt;th>Value&lt;/th>
 &lt;th>Notes&lt;/th>
 &lt;/tr>
 &lt;/thead>
 &lt;tbody>
 &lt;tr>
 &lt;td>openid_enabled&lt;/td>
 &lt;td>true&lt;/td>
 &lt;td>&lt;/td>
 &lt;/tr>
 &lt;tr>
 &lt;td>openid_audiences&lt;/td>
 &lt;td>Audience as it would appear in the aud claim, for example &amp;ldquo;&lt;a href="https://management.azure.com/%22">https://management.azure.com/"&lt;/a>&lt;/td>
 &lt;td>Can be either one value or comma separated list.&lt;/td>
 &lt;/tr>
 &lt;tr>
 &lt;td>openid_issuers&lt;/td>
 &lt;td>Issuer as it would appear in the iss claim, for example &amp;ldquo;&lt;a href="https://sts.windows.net/bca3157d-b8d9-4ca8-a724-1c7e2b96e1ef%22">https://sts.windows.net/bca3157d-b8d9-4ca8-a724-1c7e2b96e1ef"&lt;/a>&lt;/td>
 &lt;td>Can be either one value or comma separated list.&lt;/td>
 &lt;/tr>
 &lt;tr>
 &lt;td>openid_appid&lt;/td>
 &lt;td>Appid as it would appear in the appid claim, for example &amp;ldquo;9ada3e7d-4ec4-48da-9d69-5379b7984fe1&amp;rdquo;&lt;/td>
 &lt;td>Optional. If value is &amp;ldquo;&amp;rdquo;, appid claim is ignored. When openid_appid is provided, it must match the appid claim of the token.&lt;/td>
 &lt;/tr>
 &lt;/tbody>
&lt;/table></description></item><item><title/><link>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/request/</link><pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate><guid>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/request/</guid><description>&lt;h2 id="request">Request&lt;/h2>
&lt;p>Performs a policy operation such as protect, unprotect, or reprotect.&lt;/p>
&lt;ul>
&lt;li>
&lt;p>&lt;strong>URI&lt;/strong>&lt;/p>
&lt;p>&lt;code>/v1/protect&lt;/code> or &lt;code>/v1/unprotect&lt;/code> or &lt;code>/v1/reprotect&lt;/code>&lt;/p>
&lt;/li>
&lt;li>
&lt;p>&lt;strong>Method&lt;/strong>&lt;/p>
&lt;p>POST&lt;/p>
&lt;/li>
&lt;li>
&lt;p>&lt;strong>Parameters&lt;/strong>&lt;/p>
&lt;p>&lt;strong>data&lt;/strong>: Input data to the policy operation.&lt;/p>
&lt;p>&lt;strong>data_element&lt;/strong>: Data element to use for the policy operation.&lt;/p>
&lt;p>&lt;strong>encoding&lt;/strong>: Optional, encoding of the data. One of: base64, hex, or utf8. Defaults to hex for binary data elements, otherwise defaults to utf8.&lt;/p>
&lt;p>&lt;strong>external_iv&lt;/strong>: Optional, external initialization vector.&lt;/p>
&lt;p>&lt;strong>old_data_element&lt;/strong>: (reprotect) Data element for unprotecting the input.&lt;/p></description></item><item><title/><link>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/request2/</link><pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate><guid>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/request2/</guid><description>&lt;h2 id="request">Request&lt;/h2>
&lt;p>Performs a policy operation such as protect, unprotect, or reprotect.&lt;/p>
&lt;ul>
&lt;li>
&lt;p>&lt;strong>Method&lt;/strong>&lt;/p>
&lt;p>POST&lt;/p>
&lt;/li>
&lt;li>
&lt;p>&lt;strong>Parameters&lt;/strong>&lt;/p>
&lt;p>&lt;strong>dataelementname&lt;/strong>: (protect/unprotect) Data element to use for the policy operation.&lt;/p>
&lt;p>&lt;strong>externaliv&lt;/strong>: (protect/unprotect) Optional, external initialization vector.&lt;/p>
&lt;p>&lt;strong>newdataelementname&lt;/strong>: (reprotect) Data element to use for the output.&lt;/p>
&lt;p>&lt;strong>newexternaliv&lt;/strong>: (reprotect) Optional, external initialization vector for the output.&lt;/p>
&lt;p>&lt;strong>olddataelementname&lt;/strong>: (reprotect) Data element to use for the input.&lt;/p>
&lt;p>&lt;strong>oldexternaliv&lt;/strong>: (reprotect) Optional, external initialization vector for the input.&lt;/p>
&lt;p>&lt;strong>policyusername&lt;/strong>: User performing the operation.&lt;/p></description></item><item><title/><link>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/response/</link><pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate><guid>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/response/</guid><description>&lt;h2 id="response">Response&lt;/h2>
&lt;div class="highlight">&lt;pre tabindex="0" style="background-color:#f8f8f8;-moz-tab-size:4;-o-tab-size:4;tab-size:4;">&lt;code class="language-gdscript3" data-lang="gdscript3">&lt;span style="display:flex;">&lt;span>&lt;span style="color:#000">responsePayloadV1&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span>&lt;span style="color:#000">type&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span> &lt;span style="color:#000">object&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">properties&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">success&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">type&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span> &lt;span style="color:#c00;font-weight:bold">bool&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">error_msg&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">type&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span> &lt;span style="color:#000">string&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">description&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span> &lt;span style="color:#000">When&lt;/span> &lt;span style="color:#000">success&lt;/span> &lt;span style="color:#000">is&lt;/span> &lt;span style="color:#3465a4">false&lt;/span>&lt;span style="color:#000;font-weight:bold">,&lt;/span> &lt;span style="color:#000">error_msg&lt;/span> &lt;span style="color:#000">is&lt;/span> &lt;span style="color:#000">included&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">results&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">type&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span> &lt;span style="color:#000">array&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">items&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">type&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span> &lt;span style="color:#000">string&lt;/span>
&lt;/span>&lt;/span>&lt;/code>&lt;/pre>&lt;/div>&lt;p>Example success:&lt;/p>
&lt;div class="highlight">&lt;pre tabindex="0" style="background-color:#f8f8f8;-moz-tab-size:4;-o-tab-size:4;tab-size:4;">&lt;code class="language-fallback" data-lang="fallback">&lt;span style="display:flex;">&lt;span>{
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &amp;#34;encoding&amp;#34;: &amp;#34;utf8&amp;#34;, 
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &amp;#34;results&amp;#34;:[&amp;#34;str1&amp;#34;,&amp;#34;str2&amp;#34;], 
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &amp;#34;success&amp;#34;: true
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span>}
&lt;/span>&lt;/span>&lt;/code>&lt;/pre>&lt;/div>&lt;p>If the request was successful, the success flag will always be true.&lt;/p>
&lt;p>Example failure:&lt;/p>
&lt;div class="highlight">&lt;pre tabindex="0" style="background-color:#f8f8f8;-moz-tab-size:4;-o-tab-size:4;tab-size:4;">&lt;code class="language-fallback" data-lang="fallback">&lt;span style="display:flex;">&lt;span>{
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &amp;#34;error_msg&amp;#34;: &amp;#34;token expired&amp;#34;, 
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &amp;#34;success&amp;#34;: false
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span>}
&lt;/span>&lt;/span>&lt;/code>&lt;/pre>&lt;/div>&lt;p>If the request fails, the success flag will always be false.&lt;/p>
&lt;p>Multi Data Elements Support Payload&lt;/p>
&lt;div class="highlight">&lt;pre tabindex="0" style="background-color:#f8f8f8;-moz-tab-size:4;-o-tab-size:4;tab-size:4;">&lt;code class="language-gdscript3" data-lang="gdscript3">&lt;span style="display:flex;">&lt;span>&lt;span style="color:#000">responsePayloadV2&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span>&lt;span style="color:#000">type&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span> &lt;span style="color:#000">object&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">properties&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">success&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">type&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span> &lt;span style="color:#000">boolean&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">results&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">type&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span> &lt;span style="color:#000">array&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">items&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">type&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span> &lt;span style="color:#000">object&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">properties&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">success&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">type&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span> &lt;span style="color:#c00;font-weight:bold">bool&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">error_msg&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">type&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span> &lt;span style="color:#000">string&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">description&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span> &lt;span style="color:#000">When&lt;/span> &lt;span style="color:#000">success&lt;/span> &lt;span style="color:#000">is&lt;/span> &lt;span style="color:#3465a4">false&lt;/span>&lt;span style="color:#000;font-weight:bold">,&lt;/span> &lt;span style="color:#000">error_msg&lt;/span> &lt;span style="color:#000">is&lt;/span> &lt;span style="color:#000">included&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">id&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">type&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span> &lt;span style="color:#000">string&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">description&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span> &lt;span style="color:#000">When&lt;/span> &lt;span style="color:#000">id&lt;/span> &lt;span style="color:#000">is&lt;/span> &lt;span style="color:#000">sent&lt;/span> &lt;span style="color:#204a87;font-weight:bold">in&lt;/span> &lt;span style="color:#000">the&lt;/span> &lt;span style="color:#000">request&lt;/span> &lt;span style="color:#000">payload&lt;/span>&lt;span style="color:#000;font-weight:bold">,&lt;/span> &lt;span style="color:#000">id&lt;/span> &lt;span style="color:#000">is&lt;/span> &lt;span style="color:#000">included&lt;/span> &lt;span style="color:#204a87;font-weight:bold">in&lt;/span> &lt;span style="color:#000">the&lt;/span> &lt;span style="color:#000">response&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">results&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">type&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span> &lt;span style="color:#000">array&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">items&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span>
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &lt;span style="color:#000">type&lt;/span>&lt;span style="color:#000;font-weight:bold">:&lt;/span> &lt;span style="color:#000">string&lt;/span>
&lt;/span>&lt;/span>&lt;/code>&lt;/pre>&lt;/div>&lt;p>Example success:&lt;/p></description></item><item><title/><link>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/response2/</link><pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate><guid>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/response2/</guid><description>&lt;h2 id="response">Response&lt;/h2>
&lt;p>Example:&lt;/p>
&lt;div class="highlight">&lt;pre tabindex="0" style="background-color:#f8f8f8;-moz-tab-size:4;-o-tab-size:4;tab-size:4;">&lt;code class="language-fallback" data-lang="fallback">&lt;span style="display:flex;">&lt;span>{&amp;#34;protect&amp;#34;:{&amp;#34;bulk&amp;#34;:{&amp;#34;returntype&amp;#34;:&amp;#34;success&amp;#34;,&amp;#34;data&amp;#34;:[{&amp;#34;returntype&amp;#34;:&amp;#34;success&amp;#34;,&amp;#34;message&amp;#34;:&amp;#34;Data
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> protection was successful.&amp;#34;,&amp;#34;content&amp;#34;:&amp;#34;RGZBUFR4ODAzejFwNjQ5TWg0TEFpcFNqbA==&amp;#34;},{&amp;#34;returntype&amp;#34;:&amp;#34;success&amp;#34;,
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span>&amp;#34;message&amp;#34;:&amp;#34;Data protection was successful.&amp;#34;,&amp;#34;content&amp;#34;:&amp;#34;aHNnVVB5QWFDYw==&amp;#34;}]}}}
&lt;/span>&lt;/span>&lt;/code>&lt;/pre>&lt;/div></description></item><item><title/><link>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/secret/</link><pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate><guid>https://docs.protegrity.com/cloud-protect/4.0.0/docs/gcp/api/rest_api/secret/</guid><description>&lt;h2 id="secret">Secret&lt;/h2>
&lt;p>Stored secret verification example using jwt_verify and jwt_secret_base64 configurations:&lt;/p>
&lt;ol>
&lt;li>Navigate to the cloud function main.tf configuration file, and find the section &lt;em>Parameters applicable when authorization = jwt&lt;/em>&lt;/li>
&lt;li>Edit/replace the entries as indicated below, then save and apply the configuration:&lt;/li>
&lt;/ol>
&lt;table>&lt;thead>&lt;tr>&lt;th align="left" id="d870e60">
&lt;p>Parameter&lt;/p>
&lt;/th>&lt;th align="left" id="d870e63">
&lt;p>Value&lt;/p>
&lt;/th>&lt;th align="left" id="d870e66">
&lt;p>Notes&lt;/p>
&lt;/th>&lt;/tr>&lt;/thead>&lt;tbody>&lt;tr>&lt;td>
&lt;p>authorization&lt;/p>
&lt;/td>&lt;td>
&lt;p>JWT&lt;/p>
&lt;/td>&lt;/tr>&lt;tr>&lt;td>
&lt;p>jwt_verify&lt;/p>
&lt;/td>&lt;td>
&lt;p>1&lt;/p>
&lt;/td>&lt;td>
&lt;p> &lt;/p>
&lt;/td>&lt;/tr>&lt;tr>&lt;td>
&lt;p>jwt_secret_base64&lt;/p>
&lt;/td>&lt;td>
&lt;p>Secret in base64 encoding. For example, the value of the public key is as follows.&lt;/p></description></item></channel></rss>